SIGSTACK(2) | NetBSD System Calls Manual | SIGSTACK(2)

# NAME

sigstack — set and/or get signal stack context

# SYNOPSIS

#include <signal.h>

int
sigstack(const struct sigstack *, struct sigstack *);

# DESCRIPTION

The sigstack() function has been deprecated in favor of the interface described in sigaltstack(2).

# SEE ALSO

sigaltstack(2), signal(7)

# HISTORY

The sigstack function call appeared in 4.2BSD.

June 4, 1993 | NetBSD 5.99